Skip to content

Network & IP

All operations require authentication.

8 operationsv1/xdsl/{serviceName}
Agent setup

List the anti-spam entries of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/antiSpams

Returns the IPs of the access detected as sending spam.

Path parameters

serviceName
required
string

Service name

Response

200ip[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/antiSpams \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0"]

Get an anti-spam entry of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/antiSpams/{ip}

Returns the anti-spam status of an IP of the access, with its detection date and last spam detection date.

Path parameters

ip
required
ip

Ip

serviceName
required
string

Service name

Response

200AntiSpamsuccessful operation
date
read-only
stringdate-time

Detection date

ip
read-only
ip

IP which spam

lastSpamDetected
read-only
stringdate-time

Last spam detection date

status
read-only
AntiSpamStatusEnum

AntiSpam status

Valuesblockdonenewunblockwarn

Example uses ip = 192.0.2.0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/antiSpams/{ip} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "ip": "192.0.2.0", "lastSpamDetected": "2024-01-01T12:00:00Z", "status": "block"}

Get the spam evidences of an IPProduction

GET
/1.0/xdsl/{serviceName}/antiSpams/{ip}/evidences

Returns, as an asynchronous task, the evidences of spam stored for an IP of the access.

Path parameters

ip
required
ip

Ip

serviceName
required
string

Service name

Response

200EvidencesInfosuccessful operation
error
read-only
string

AsyncTask detailed error

result
read-only
EvidencesInfoDetail[]

Table with evidences stored on PCS

status
read-only
EvidencesInfoStatusEnum

Evidences AsyncTask status

Valueserrorokpending

Example uses ip = 192.0.2.0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/antiSpams/{ip}/evidences \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "error": "string", "result": [ { "date": "2024-01-01T12:00:00Z", "filename": "string", "url": "string" } ], "status": "error"}

List the IPs of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/ips

Returns the IP addresses of the access. Get an IP for its version, range, status and DNS servers.

Path parameters

serviceName
required
string

Service name

Response

200ip[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/ips \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0"]

Order an extra /29 IPv4 rangeProduction

POST
/1.0/xdsl/{serviceName}/ips

Orders an extra range of eight IPv4 addresses (/29) for the access. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/ips \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}

Get an IP of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/ips/{ip}

Returns an IP address or block of the access with its version, range, status and DNS servers.

Path parameters

ip
required
ip

Ip

serviceName
required
string

Service name

Response

200IPsuccessful operation
dnsList
read-only
ip[]
—
ip
read-only
ip

The IP address

range
read-only
integer
—
status
read-only
IpStatusEnum

status of the IP

ValuesactiveclosetoDelete
version
read-only
IpVersionEnum

Ip versions

Valuesv4v6

Example uses ip = 192.0.2.0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/ips/{ip} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dnsList": [ "192.0.2.0" ], "ip": "192.0.2.0", "range": 0, "status": "active", "version": "v4"}

Delete an extra IPv4 rangeProduction

DELETE
/1.0/xdsl/{serviceName}/ips/{ip}

Stops renewing the extra IPv4 option of the access.

Path parameters

ip
required
ip

Ip

serviceName
required
string

Service name

Response

200—successful operation

Example uses ip = 192.0.2.0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/ips/{ip} \
  -H "authorization: Bearer $OVH_TOKEN"

Enable or disable IPv6 on an xDSL accessProduction

POST
/1.0/xdsl/{serviceName}/ipv6

Turns IPv6 on or off for the access. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Request body (required)

enabled
required
boolean

Should the IPv6 be enabled ?

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/ipv6 \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}